%define commit 03a98ea508d9c7ee1ff71e735d76d9d99bd25c97


Summary:	PAM module for auth UNIX users using MySQL data base
Name:		pam_mysql
Version:	0.8.1
Release:	0.11%{?dist}
Epoch:		1
License:	GPLv2+
Source0:	https://github.com/NigelCunningham/pam-MySQL/archive/%{commit}/pam_mysql-%{commit}.tar.gz
URL:		https://github.com/NigelCunningham/pam-MySQL
BuildRequires:  gcc-c++
BuildRequires:  pam-devel mariadb-connector-c-devel cyrus-sasl-devel pkgconfig openssl-devel
BuildRequires:  autoconf automake libtool
Requires:	pam

%description
Pam_mysql aims to provide a backend neutral means of authenticating
users against an MySQL database.

%prep
%setup -q -n pam-MySQL-%{commit}
autoreconf -fiv

%build
%configure \
  --with-openssl \
  --with-pam-mods-dir=/%{_lib}/security \
  --enable-static=no \
  --with-cyrus-sasl2

make %{?_smp_mflags}

mv AUTHORS AUTHORS.lame
iconv -f latin1 -t utf-8 -o AUTHORS AUTHORS.lame
touch -r README AUTHORS

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;

%files
%doc ChangeLog COPYING AUTHORS NEWS README
/%{_lib}/security/pam_mysql.so

%changelog
